- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# generic object
[utilities]

## Functions
AXIS2_EXTERN axutil_generic_obj_t * | axutil_generic_obj_create (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_generic_obj_free (axutil_generic_obj_t *generic_obj, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_generic_obj_set_free_func (axutil_generic_obj_t *generic_obj, const axutil_env_t *env, AXIS2_FREE_VOID_ARG free_func)
AXIS2_EXTERN axis2_status_t | axutil_generic_obj_set_value (axutil_generic_obj_t *generic_obj, const axutil_env_t *env, void *value)
AXIS2_EXTERN void * | axutil_generic_obj_get_value (axutil_generic_obj_t *generic_obj, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_generic_obj_set_type (axutil_generic_obj_t *generic_obj, const axutil_env_t *env, int type)
AXIS2_EXTERN int | axutil_generic_obj_get_type (axutil_generic_obj_t *generic_obj, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axutil_generic_obj_t* axutil_generic_obj_create | ( | const axutil_env_t * | env | ) |

create new generic_obj

Returns:
  generic_obj newly created generic_obj